If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Generic hang tracking: Flash hangs in/under F_1152915508 without specific steps to reproduce

NEW
Unassigned

Status

External Software Affecting Firefox
Flash (Adobe)
P5
critical
5 years ago
a month ago

People

(Reporter: marcia, Unassigned)

Tracking

(Depends on: 1 bug, 4 keywords)

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [Flash 11.3 and higher][unactionable], crash signature)

(Reporter)

Description

5 years ago
This bug was filed from the Socorro interface and is 
report bp-7842586d-781a-4c14-b051-046742120907 .
============================================================= 

Seen while looking at Win 8 crashes.  https://crash-stats.mozilla.com/report/list?signature=hang%20|%20__security_check_cookie. These crashes affect the Win 8 RTM. There are crashes in other versions but in smaller numbers:

Windows 8 	80.8 %	101
Windows XP 	14.4 %	 18
Windows 7 	4 %	 5
Windows Vista 	0.8 %	 1 

Correlations show 72% of users have 11.4.402.265. 	

Frame 	Module 	Signature 	Source
0 	ntdll.dll 	KiFastSystemCallRet 	
1 	ntdll.dll 	NtWaitForMultipleObjects 	
2 	KERNELBASE.dll 	__security_check_cookie 	
3 	user32.dll 	RealMsgWaitForMultipleObjectsEx 	
4 	user32.dll 	MsgWaitForMultipleObjects 	
5 	NPSWF32_11_4_402_265.dll 	F_1152915508___________________________________ 	F988209632__________________________________________________________________________________________:115
6 	NPSWF32_11_4_402_265.dll 	F2166389_____________________________________________________________________ 	F1456986484______________________________________________________________________:509
7 	NPSWF32_11_4_402_265.dll 	F_917831355____________________________________________ 	F1456986484______________________________________________________________________:445
8 	NPSWF32_11_4_402_265.dll 	F1315696776________________________________ 	F1456986484______________________________________________________________________:409
9 	NPSWF32_11_4_402_265.dll 	F81047063_______________________________________ 	F_1985410557___________________________________________________________________________________:180
10 	NPSWF32_11_4_402_265.dll 	F845925699_____________________________________ 	F335439454_______________________________________________________________________________________________:92
11 	NPSWF32_11_4_402_265.dll 	F_274593382________________________________ 	F_1132396120_____________________________________________________________________________________________:1692
12 	NPSWF32_11_4_402_265.dll 	F_305312235__________________________________________ 	F_1132396120_____________________________________________________________________________________________:981
13 	user32.dll 	InternalCallWinProc 	
14 	user32.dll 	UserCallWinProcCheckWow 	
15 	user32.dll 	DispatchMessageWorker 	
16 	user32.dll 	DispatchMessageW 	
17 	xul.dll 	base::MessagePumpForUI::ProcessMessageHelper 	ipc/chromium/src/base/message_pump_win.cc:366
18 	xul.dll 	base::MessagePumpForUI::ProcessNextWindowsMessage 	ipc/chromium/src/base/message_pump_win.cc:341
19 	xul.dll 	base::MessagePumpForUI::DoRunLoop 	ipc/chromium/src/base/message_pump_win.cc:210
20 	xul.dll 	base::MessagePumpWin::RunWithDispatcher 	ipc/chromium/src/base/message_pump_win.cc:53
21 	xul.dll 	base::MessagePumpWin::Run 	ipc/chromium/src/base/message_pump_win.h:78
22 	xul.dll 	MessageLoop::RunInternal 	ipc/chromium/src/base/message_loop.cc:208
23 	xul.dll 	MessageLoop::RunHandler 	ipc/chromium/src/base/message_loop.cc:194
24 	xul.dll 	MessageLoop::Run 	ipc/chromium/src/base/message_loop.cc:175
25 	xul.dll 	XRE_InitChildProcess 	toolkit/xre/nsEmbedFunctions.cpp:481
26 	plugin-container.exe 	wmain 	toolkit/xre/nsWindowsWMain.cpp:100
27 	plugin-container.exe 	__tmainCRTStartup 	crtexe.c:552
28 	kernel32.dll 	BaseThreadInitThunk 	
29 	ntdll.dll 	__RtlUserThreadStart 	
30 	ntdll.dll

Comment 1

5 years ago
This is just F_1152915508___________________________________ with a different signature because we aren't skipping security_check_cookie properly. Can you dup it against the generic F_115... bug and file a bug to do something smarter (probably skiplist) the security_check_cookie signature?
(Reporter)

Comment 2

5 years ago
We don't seem to have a bug for a generic signature - Bug 788423 was broken out for the dropbox crash - Bug 779830 is for crashes on Facebook, and Bug 763896 is resolved fixed. I can create a new bug if that works.
(Reporter)

Comment 3

5 years ago
Bug 789618 is on file for the skiplist.

Updated

5 years ago
Depends on: 785012

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie] → [@ hang | __security_check_cookie ]
Keywords: crash → hang
Summary: Firefox [@ hang | __security_check_cookie ] → Flash hang in F_1152915508

Updated

5 years ago
Duplicate of this bug: 801057

Updated

5 years ago
Depends on: 779830, 788423
Summary: Flash hang in F_1152915508 → Generic hang tracking: Flash hangs in/under F_1152915508 without specific steps to reproduce

Updated

5 years ago
OS: Windows 8 → Windows 7
Whiteboard: [Win8]

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Depends on: 797116, 799064
(Reporter)

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Keywords: topcrash

Updated

5 years ago
Depends on: 795729

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Depends on: 812047

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Depends on: 815987

Updated

5 years ago
Depends on: 779657

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Updated

5 years ago
Depends on: 832451

Updated

5 years ago
Depends on: 832633

Updated

5 years ago
Depends on: 830786

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h…

Comment 5

5 years ago
https://crash-stats.mozilla.com/report/index/6503e867-a691-4cca-81b9-fdc262130307
(In reply to candaules from comment #5)
> https://crash-stats.mozilla.com/report/index/6503e867-a691-4cca-81b9-
> fdc262130307

Wrong bug? This is a crash and doesn't seem to be related to Flash or even plugins in general.

Updated

5 years ago
Whiteboard: [Flash 11.3]

Comment 7

5 years ago
https://crash-stats.mozilla.com/report/index/fec2fe60-e29f-456c-9474-ef6122130330#correlation

Comment 8

5 years ago
perhaps this crash report should be moved to the topic Flash crash on facebook, since this happened on a facebook page (without video). thanks.

Comment 9

5 years ago
(In reply to candaules from comment #8)
This bug is not actionable. In case you have reliable STR, file a dedicated bug.

Comment 10

5 years ago
Closing ff today I got this report:
https://crash-stats.mozilla.com/report/index/bp-0ebc9325-bec5-46eb-9edf-364d82130416
https://crash-stats.mozilla.com/report/index/bp-136b6b73-150d-4442-9830-e38452130416
https://crash-stats.mozilla.com/report/index/bp-3c9443d7-135a-4444-b90e-bfeae2130416

Comment 11

5 years ago
(In reply to banakon from comment #10)
> Closing ff today I got this report:
If it's a reliable behavior for you, please file a new bug and describe the website(s) where you were before.

Updated

5 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWindowsHookEx | RealMsgWaitForMultipleObjectsEx] [@ hang | GetProcessHeap] [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx] [@ h… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Updated

5 years ago
Depends on: 864825

Comment 12

4 years ago
agin and again closing a youtube video and opening a second video via central mouse botton
https://crash-stats.mozilla.com/report/index/bp-902ccdd4-48e6-42c3-bf30-efbea2130516

Updated

4 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Updated

4 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Comment 13

4 years ago
https://crash-stats.mozilla.com/report/index/5c07fc3c-bad3-4b74-a545-37b9a2130615
https://crash-stats.mozilla.com/report/index/a3ea9535-55b0-4c85-bea0-665cd2130615
I need absolutely to watch this live
http://www.asitv.it/contenuti/nasa-live

flash process does arise to 1400MB and hangs.
suggestions please.
why all the mozilla logs are unuseful to fix problems?

Comment 14

4 years ago
(In reply to banakon from comment #13)
> I need absolutely to watch this live
Bugzilla is to report dysfunctions to developers. For a workaround, ask in the support forum: https://support.mozilla.org/en-US/questions/new 

> why all the mozilla logs are unuseful to fix problems?
Those crash signatures mean the Flash sandbox makes Flash crash to prevent a potential program that slows down the Firefox/Flash connection from stealing data.

Comment 15

4 years ago
Hi Scoobidiver and Jeromie,

https://crash-stats.mozilla.com/report/index/9a5c7c70-4eba-4249-ac74-ddc322130716
are you able watching this video with firefox?

http://www.asitv.it/contenuti/nasa-live

I tried with THREE different machines (new profile) + laptop.
hang, hang, hang.
veryinteresting: 3 different pc (ati + nvidia).

have you problem with this link?
thanks for testing it.
I have to use IE9 for this link.

Comment 16

4 years ago
part #2:

just reopened the page (on 3 pc!!)
flash window does appear, ok.
then does appear the text "UPstream" in the player.
hang.
https://crash-stats.mozilla.com/report/index/726fa808-55b1-414d-af74-d96fa2130716

Comment 17

4 years ago
candaules, no problem for me with the URL in comment 15. Please comment in bug 779657 which is about streaming hangs, this one is only a meta bug.

Comment 18

4 years ago
https://crash-stats.mozilla.com/report/index/d05c650f-c052-4910-b68b-1bd702130720

Comment 19

4 years ago
(In reply to banakon from comment #18)
> https://crash-stats.mozilla.com/report/index/d05c650f-c052-4910-b68b-
> 1bd702130720
It's not this bug. In addition, without STR it's not exploitable.

Updated

4 years ago
Depends on: 902630

Updated

4 years ago
Whiteboard: [Flash 11.3] → [Flash 11.3][unactionable]

Updated

4 years ago
Keywords: topcrash → thirdparty, topcrash-win

Updated

4 years ago
Keywords: topcrash-plugin

Comment 20

4 years ago
https://crash-stats.mozilla.com/report/index/1d3a5289-1345-467a-8a61-8410a2131127

Comment 21

4 years ago
https://crash-stats.mozilla.com/report/index/33595682-9e81-427b-855d-87d132131221

steps: close a flash tab and shorty open another flash tab.

Comment 22

4 years ago
https://crash-stats.mozilla.com/report/index/f582b71a-7c39-4adb-b4b2-3b3342131227

Comment 23

4 years ago
https://crash-stats.mozilla.com/report/index/ad6c6b5e-facf-4eb0-bc0f-4156e2140121

"unactionable", but very very often...

Comment 24

4 years ago
https://crash-stats.mozilla.com/report/index/a824027d-47be-4757-9683-1dc062140302

again again and again. uff!!!

Updated

4 years ago
Depends on: 951424

Updated

4 years ago
Duplicate of this bug: 995784
Note that we have seen a recent spike in these hangs, with an explosiveness rating of 5.9 currently in the first Firefox 31 Beta. I'm not sure if that's expected given it's the first Beta.

Source:
https://crash-analysis.mozilla.com/rkaiser/2014-06-15/2014-06-15.firefox.31.explosiveness.html

Comment 27

3 years ago
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #26)
> Note that we have seen a recent spike in these hangs, with an explosiveness
> rating of 5.9 currently in the first Firefox 31 Beta. I'm not sure if that's
> expected given it's the first Beta.

I think that's just people updating to beta and the weekend, on which all Flash issues always have a higher crashes/user volume.

Comment 28

3 years ago
Just in case the data point is useful, my SO's Firefox Beta 32.0 crashed like this:

bp-07a2d30f-3f8a-4dbe-ba40-36fb12140801	01/08/2014	06:05 p.m.

Comment 29

3 years ago
Previous crash was with Flash 14.0.0.145 that it's seemingly current so updating whiteboard.
Whiteboard: [Flash 11.3][unactionable] → [Flash 11.4][unactionable]

Comment 30

3 years ago
bp-2ca4c0fd-11f5-4551-b432-e21be2140802	01/08/2014	10:40 a.m.

Updated

3 years ago
Whiteboard: [Flash 11.4][unactionable] → [Flash 11.3 and higher][unactionable]

Comment 31

3 years ago
Looks like we are going through different frames on Win8 and Win8.1 which are both not prefix-skiplisted:
https://crash-stats.mozilla.com/report/list?signature=hang%20%7C%20EscapeString%28unsigned%20short%20const%2A%2C%20unsigned%20long%2C%20unsigned%20short%2A%2C%20unsigned%20long%2C%20unsigned%20short%2A%2A%2C%20unsigned%20long%2A%29
https://crash-stats.mozilla.com/report/list?signature=hang%20%7C%20VirtualAlloc
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Comment 32

3 years ago
Report ID 	Date Submitted
bp-1d215acc-fdc3-42af-a11f-84b2a2140911	11/09/2014	12:43 p.m.

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:35.0) Gecko/20100101 Firefox/35.0 ID:20140911064110 CSet: 98ea98c8191a

Not sure if related but this Flash crash happened right after a low battery warning on Win7 laptop.

Comment 33

3 years ago
It's back!

Just from yesterday:
https://crash-stats.mozilla.com/report/index/4f062917-612a-4d09-90ff-1c8042141003
and
https://crash-stats.mozilla.com/report/index/9810fca5-7fbb-4cc0-b4dc-e92f12141003

One happened with a youtube video that wasn't even running, just loading, the other with some online radio station that was running, with no other program running.

 [@ hang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] 

on Win 7.
 	plugin Shockwave Flash Version:15.0.0.152 Filename:NPSWF32_15_0_0_152.dll

Problem lies in 
 	dgapi.dll 	dgapi.dll@0xde824
 	dgapi.dll 	dgapi.dll@0x33fab

Also related:
https://bugzilla.mozilla.org/show_bug.cgi?id=1048580
https://bugzilla.mozilla.org/show_bug.cgi?id=1057755
https://bugzilla.mozilla.org/show_bug.cgi?id=951424
https://bugzilla.mozilla.org/show_bug.cgi?id=1074119

Updated

3 years ago
Duplicate of this bug: 1106211

Updated

3 years ago
Depends on: 1120286

Comment 35

3 years ago
Does my crash report relate to this bug?
https://crash-stats.mozilla.com/report/index/5cf5d23e-5f1d-466e-8477-676562150207
https://crash-stats.mozilla.com/report/index/7889c96b-2e14-4eef-8ede-bfe442150207

Comment 36

3 years ago
I think my crash/hang is the same as this one:
https://crash-stats.mozilla.com/report/index/0fce46a9-061a-48db-8b61-352642150220

I get this everytime I switch my monitor back and forth from HDMI output to my TV.
The plugin hangs and doesn't repond.

Let me know if I can help in debugging in any ways

Comment 37

3 years ago
Henrik and others: if you have specific steps to reproduce this hang, please file a separate bug. I am absolutely always looking for ways to reproduce this so we can put engineers on it.

If you are able to use the instructions at https://wiki.mozilla.org/Flash/Hang_Debugging to collect full dumps, that could be even more useful.

Comment 38

3 years ago
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #37)
> Henrik and others: if you have specific steps to reproduce this hang, please
> file a separate bug. I am absolutely always looking for ways to reproduce
> this so we can put engineers on it.
> 
> If you are able to use the instructions at
> https://wiki.mozilla.org/Flash/Hang_Debugging to collect full dumps, that
> could be even more useful.

OK.
Thank you.

Comment 39

3 years ago
bp-8cfd08ba-88dd-478e-acb8-fa9b22150317
	17/03/2015	10:21 a.m.
status-firefox37: --- → affected
I don't think we need to set status flags here. This issue is well known to be affecting Firefox for a long time now.
status-firefox37: affected → ---
Version: 15 Branch → unspecified
Duplicate of this bug: 1120286
Duplicate of this bug: 1151445

Comment 43

3 years ago
If this may help, with FF37 I dont experience this issue, but another enedited until now:
https://bugzilla.mozilla.org/show_bug.cgi?id=1154696
Depends on: 1155138

Updated

3 years ago
Duplicate of this bug: 1155148
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…
No longer depends on: 1120286
Duplicate of this bug: 1151794
Comment hidden (spam)

Comment 47

2 years ago
After 2 months with a perfect behaviour (zero hangs with a lot of flash videos for 18 hours),
since a few days the hang re-happens as in the past
https://www.facebook.com/arenaverona?fref=ts
https://crash-stats.mozilla.com/report/index/ea722316-1354-472a-8a44-3b0d92150805
reasons? misterious.
surely NOT due to addons.

Comment 48

2 years ago
reproduced successfully today
https://crash-stats.mozilla.com/report/index/c87643b5-d619-46bc-89c0-b9ffa2150806
always here
https://www.facebook.com/BandaDeMusicaBriocense

only embedded vidoes. zero issues on youtube.

Comment 49

2 years ago
Report ID 	Date Submitted
bp-e0abe23a-6703-4fff-8eae-9e5bd2150806
	06/08/2015	05:10 p.m.

http://occupyflash.org/ =D

Comment 50

2 years ago
yes occupy flash, but it is possible that this flash problem were not caused by flash itself.
flash .209 was released on 14th juli, and the problem re-arised yesterday.
(with the same FF settings, same 3 addons, same A/V drivers, same AV, same firewall, in the past Norton, now Comodo cis8...and same flash version).
it may be of some help the statement that this never happens with youtube videos nor with rai.tv (flash required), but only with (YT?) videos embedded in FB or other sites, the strange is that FB requires flash activated even in a page without any videos.
The solution may comes if we understand why this page
https://www.facebook.com/BandaDeMusicaBriocense
never caused flash hangs from 2nd july until 4th august! (2 flash versions in the meantime),or if experts can establish the differencies in flash performances on this page compared with normal YT videos from youtube.com. This is an idea only :)

Comment 51

2 years ago
!!

I guess that this bug is strongly related to this one:
https://bugzilla.mozilla.org/show_bug.cgi?id=1158492

when I notice this problem "server not found for 0.5 seconds only", I go this hang; in the 2 past months I never noticed this problem and...zero hangs.
Comment hidden (spam)

Updated

2 years ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…
Comment hidden (spam)
Comment hidden (spam)
Comment hidden (spam)

Comment 56

2 years ago
https://bugbase.adobe.com/index.cfm?event=bug&id=3938225

Updated

a year ago
Duplicate of this bug: 1284049

Updated

10 months ago
Duplicate of this bug: 1318909
Component: Plug-ins → Flash (Adobe)
Product: Core → External Software Affecting Firefox

Updated

5 months ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Updated

5 months ago
Depends on: 1358340

Updated

5 months ago
Duplicate of this bug: 1358340

Comment 60

5 months ago
Since this bug is a "generic" bug and is really not a bug but is a placeholder (like a folder) for a variety of more specific bugs, you ask people to not set tracking markers here. You ask people to submit more specific bugs as blocking this generic bug (making it like a folder). So the place to set tracking is in the specific bugs, not the general bug.

But then when people submit specific bugs and set tracking for those bugs, you mark those as "RESOLVED/DUPLICATE (of generic bug)" and effectively delete them, since no further tracking or action will taken on these bugs. 

So how will these issues ever be resolved if the new bugs people create are simply deleted without addressing the underlying problems?

If we don't set any tracking markers on this generic bug and we don't allow specific bugs with tracking to exist, how will this ever be resolved? How will we know what versions are affected if we effectively disable tracking?

Comment 61

5 months ago
Signature report for hang | MsgWaitForMultipleObjects | F_1152915508___________________________________

Showing results from 7 days ago 

Windows 7 	12407 	37.8%
Windows 10 	12179 	37.1%
Windows Vista 	8241 	25.1%
Windows 8.1 	3 	0.0%

Firefox 	52.0.2 	        7406 	22.6% 	5366
Firefox 	52.0.2esr 	6524 	19.9% 	2828
Firefox 	53.0b99 	4790 	14.6% 	2108
Firefox 	52.1.0esr 	2638 	8.0% 	1368
Firefox 	53.0b9 	        2386 	7.3% 	890
Firefox 	53.0 	        1927 	5.9% 	1359
Firefox 	53.0b8 	        1601 	4.9% 	608
Firefox 	53.0b10 	876 	2.7% 	298
Firefox 	52.0.1 	        600 	1.8% 	577
Firefox 	45.8.0esr 	510 	1.6% 	342
Firefox 	53.0b7 	        451 	1.4% 	197
SeaMonkey 	2.21 	        1 	0.0% 	1
SeaMonkey 	2.32 	        1 	0.0% 	1
SeaMonkey 	2.6 	        1 	0.0% 	1

plugin 	32830 	100.0%

x86 	32830 	100.0%

Flash
25.0.0.148 	22542 	68.7%
25.0.0.127 	6465 	19.7%
24.0.0.221 	654 	2.0%
24.0.0.194 	406 	1.2%
24.0.0.186 	230 	0.7%
22.0.0.209 	207 	0.6%
25.0.0.156 	198 	0.6%
23.0.0.207 	193 	0.6%
23.0.0.162 	184 	0.6%
21.0.0.242 	122 	0.4%

Comment 62

5 months ago

Signature report for hang | GetModuleHandleExW

Showing results from 7 days ago 

Windows 8 	188 	100.0%

Firefox 	52.0.2 	65 	34.4% 	51
Firefox 	53.0b99 41 	21.7% 	18
Firefox 	53.0b9 	22 	11.6% 	10
Firefox 	53.0 	6 	3.2% 	5
Firefox 	53.0b10 5 	2.6% 	3
Firefox 	53.0b8 	5 	2.6% 	3
Firefox 	28.0b4 	3 	1.6% 	1
Firefox 	51.0.1 	3 	1.6% 	3
Firefox 	52.0.1 	3 	1.6% 	3

plugin 	188 	100.0%

x86 	188 	100.0%

Flash
25.0.0.148 	99 	52.7%
25.0.0.127 	27 	14.4%
20.0.0.231 	12 	6.4%
18.0.0.232 	8 	4.3%
12.0.0.44 	5 	2.7%
14.0.0.145 	4 	2.1%
23.0.0.185 	4 	2.1%

Updated

5 months ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Updated

5 months ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Comment 63

5 months ago
Bug 995784
(In reply to Robert Kaiser from comment #1)
> Unless you have concrete steps to reproduce, this is bug 789379, which is a
> generic Flash signature with no good steps to debug or move forward
> otherwise.

So is bug 789379 unsolvable?

Updated

5 months ago
Crash Signature: [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin… → [@ hang | __security_check_cookie ] [@ hang | __security_check_cookie | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | F_1152915508___________________________________ ] [@ hang | BaseGetNamedObjectDirectory] [@ hang | NtUserSetWin…

Comment 64

5 months ago
> Signature report for hang | CleanupPerAppKey | MsgWaitForMultipleObjectsEx |
> MsgWaitForMultipleObjects | F_1152915508___________________________________
> 
> Showing results from 3 months ago 
> 
> Windows 8.1 	32158 	100.0%
> 
> Firefox 	52.0.2 	        1310 	38.4% 	1877
> Firefox 	53.0b99 	707 	20.7% 	767
> Firefox 	53.0b9 	        272 	8.0% 	153
> Firefox 	53.0 	        230 	6.7% 	200
> Firefox 	53.0b8 	        207 	6.1% 	152
> Firefox 	53.0b10 	111 	3.3% 	72
> Firefox 	52.0.1 	        105 	3.1% 	104
> Firefox 	53.0b7 	        63 	1.8% 	39
> Firefox 	52.0b7 	        55 	1.6% 	1
> Firefox 	54.0b1 	        55 	1.6% 	26
> Firefox 	52.1.0esr 	36 	1.1% 	10
> Firefox 	52.0.2esr 	35 	1.0% 	11
> Firefox 	54.0a2 	        25 	0.7% 	19
> Firefox 	52.0 	        21 	0.6% 	28
> Firefox 	53.0b6 	        18 	0.5% 	15
> Firefox 	51.0.1 	        17 	0.5% 	18
> Firefox 	45.8.0esr 	11 	0.3% 	8
> Firefox 	11.0b5 	        10 	0.3% 	1
> Firefox 	47.0.2 	        9 	0.3% 	11
> Firefox 	45.9.0esr 	8 	0.2% 	3
> 
> plugin        32158 	100.0%
> 
> x86 	        32158 	100.0%
> 
> Flash Version
> 25.0.0.127 	10419 	32.4%
> 24.0.0.221 	7680 	23.9%
> 24.0.0.194 	7578 	23.6%
> 25.0.0.148 	3200 	10.0%
> 24.0.0.186 	1071 	3.3%
> 21.0.0.242 	202 	0.6%
> 23.0.0.207 	126 	0.4%
> 22.0.0.209 	123 	0.4%
> 23.0.0.162 	91 	0.3%
> 23.0.0.205 	85 	0.3%
> 19.0.0.245 	69 	0.2%
> 21.0.0.213 	66 	0.2%
> 22.0.0.192 	65 	0.2%
> 24.0.0.189 	64 	0.2%
> 25.0.0.104 	59 	0.2%
> 25.0.0.119 	58 	0.2%

Comment 65

5 months ago
(In reply to skywalker333 from comment #63)
> Bug 995784
> (In reply to Robert Kaiser from comment #1)
> > Unless you have concrete steps to reproduce, this is bug 789379, which is a
> > generic Flash signature with no good steps to debug or move forward
> > otherwise.
> 
> So is bug 789379 unsolvable?

Yes, but see comment #37.

It doesn't help to post anything here or do anything with this bug. If you have concrete reproducible cases, please file a separate bug, I hope someone will be found to take a look (I don't work in that area or on Firefox in general and more, so it's not up to me to push this any more).

Comment 66

5 months ago
With the current data this bug is unsolvable and we aren't going to spend engineering time on the generic problem. We will spend engineering time on specific ways to reproduce this problem, which is why they should be filed as separate bugs.
Priority: -- → P5

Updated

5 months ago
Duplicate of this bug: 1361232
You need to log in before you can comment on or make changes to this bug.